@font-face {
    font-family: 'Kiwi Maru';
    src: url(../font/KiwiMaru-Light.ttf) format('truetype');
    font-weight: 300;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Kiwi Maru';
    src: url(../font/KiwiMaru-Regular.ttf) format('truetype');
    font-weight: 400;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Kiwi Maru';
    src: url(../font/KiwiMaru-Medium.ttf) format('truetype');
    font-weight: 500;
    font-style: normal;
    font-display: swap;
}

body {
    width: 100svw;
    height: 100svh;
    margin: 0;
    overflow-x: hidden;
    /* font-family: 'Kiwi Maru', "Helvetica Neue", Arial, "Hiragino Kaku Gothic ProN", "Hiragino Sans", Meiryo, sans-serif; */
    font-family: "Helvetica Neue", Arial, "Hiragino Kaku Gothic ProN", "Hiragino Sans", "メイリオ", "Meiryo", sans-serif;
    background: var(--main-color);
}


main {
    width: 100svw;
    height: auto;
    margin: 0;
    padding: 0;
    overflow-x: hidden;
}

div.container {
    width: 100svw;
    height: auto;
    margin: 0;
    padding: 0;
}

div.container>div {
    width: 100%;
    padding: 5rem 5%;
}

div.container div.heading {
    display: flex;
    width: 100%;
    justify-content: center;
}

div.container div.heading div.title-outer {
    width: fit-content;
    padding: 0 0.75rem 0.5rem 0;
    border-radius: 10px;
    background-color: var(--ocean-shadow-color);
}

div.container div.heading div.title {
    position: relative;
    width: max-content;
    padding: 1rem 2rem;
    transform: translateY(-2rem);
    background-color: var(--heading-bg-color);
    border-radius: 8px;
    box-shadow: 0 1.5rem 0.1rem var(--heading-inner-shadow-color);
}

div.contents * {
    color: var(--main-text-color);
}

div.container div.heading h2 {
    display: block;
    width: max-content;
    margin: 0;
    color: white;
    font-weight: 600;
}

div.contents:has(ul) {
    margin-top: 4rem;
}

div.contents>ul {
    display: flex;
    flex-direction: column;
    justify-content: center;
    list-style: none;
    margin: 0;
    padding: 0;
    gap: 5rem;
}

div.contents ul ul {
    margin: 0;
    padding: 0;
    padding-left: 1.1rem;
    list-style: disc;
}

div.contents h4 {
    font-weight: 600;
    margin: 0.25rem 0;
}

.ice-shadow {
    width: fit-content;
    height: max-content;
    margin: 0;
    padding: 0 1.5rem 2rem 0;
    /* border-radius: 1.2rem; */
    border-radius: 1.2rem;
    background-color: var(--ocean-shadow-color);
}

li:has(.ice-shadow) {
    display: flex;
    flex-direction: row;
    align-items: flex-start;
    justify-content: center;
}

li:has(.ice-shadow.slide-in-right) {
    flex-direction: row;
}

li:has(.ice-shadow.slide-in-left) {
    flex-direction: row-reverse;
}

.ice-surface {
    position: relative;
    width: 80svw;
    min-width: 75svw;
    max-width: 80svw;
    transform: translateY(-2.5rem);
    /* border-radius: 16px; */
    border-radius: inherit;
    padding: 2rem 2rem;
    background-color: var(--ice-surface-color);
    box-shadow: 0 2.5rem 0 var(--ice-shadow-color);
}

div.container div.sp-policy {
    display: none;
    width: 100%;
    padding-top: 2rem;
}

div.sp-policy img {
    width: 25%;
    height: auto;
    object-fit: cover;
}

div.container div.sp-policy p.content {
    font-size: calc(90svw / 30);
    color: white;
    line-height: 1.6;
}

@media screen and (max-width: 768px) {

    .mobile-deco-whale,
    .mobile-deco-fish {
        display: flex;
        flex-direction: column;
        width: 100%;
        padding: 4rem 20% 0 20%;
        opacity: 0;
        transition: opacity 2s ease;
    }

    .mobile-deco-whale img {
        width: 40svw;
        max-width: 200px;
        height: auto;
        object-fit: contain;
        align-self: center;
    }

    .mobile-deco-fish img {
        height: auto;
        object-fit: contain;
    }

    .mobile-deco-fish img:nth-child(odd) {
        align-self: flex-start;
    }

    .mobile-deco-fish img:nth-child(even) {
        align-self: flex-end;
    }

    .ice-shadow {
        padding: 0 1rem 1.5rem 0;
    }

    .ice-surface {
        box-shadow: 0 2rem 0 var(--ice-shadow-color);
    }

    li:has(.ice-shadow.slide-in-left) {
        flex-direction: row;
    }

    div.container div.sp-policy {
        display: flex;
        flex-direction: row;
        justify-content: center;
        align-items: center;
        gap: 2svw;
    }
}

div.scroll-top-button {
    position: fixed;
    width: 4rem;
    height: 4rem;
    right: 2rem;
    bottom: 2rem;
    right: 2rem;
    z-index: 100;
    opacity: 0;
    border-radius: 50%;
    background-color: #fff;
    box-shadow: 0 0.4rem 0 var(--ice-shadow-color);
    visibility: hidden;
    transition: opacity 0.3s ease, visibility 0.3s ease;
}

div.scroll-top-button.visible {
    opacity: 1;
    visibility: visible;
}

div.scroll-top-button button {
    position: relative;
    width: 100%;
    height: 100%;
    border: none;
    background-color: transparent;
    cursor: pointer;
    padding: 0;
}

div.scroll-top-button button img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    object-fit: contain;
    z-index: -1;
}

div.scroll-top-button button h5 {
    color: var(--main-text-color);
}

#embedFeed {
    width: inherit;
}

#embedFacebook {
    transform-origin: top left;
}

@media screen and (max-width: 768px) {
    div.contents>ul {
        gap: 4rem;
    }

    .ice-surface {
        width: 90svw;
        min-width: 90svw;
        max-width: 90svw;
    }

    div.scroll-top-button {
        width: 4rem;
        height: 4rem;
        right: 1rem;
    }
}